<h1 mat-dialog-title>Attachment Image</h1>
<div mat-dialog-content style="text-align: center; min-height: auto; max-height:100%!important;">

  <div [className]="classes.actions">
    <button ly-button color="primary" (click)="_fileInput.click()">
      <ly-icon>image</ly-icon>
      <span>Select File</span>
    </button>
    <span [className]="classes.flex"></span>
    <!-- Hidden input -->
    <input #_fileInput type="file" (change)="cropping.selectInputEvent($event)" accept="image/*" hidden>
  </div>

  <ly-img-cropper [withClass]="classes.cropping" #cropping
                  [config]="myConfig"
                  [(scale)]="scale"
                  (cropped)="onCropped($event)"
                  (loaded)="onloaded($event)"
                  (error)="onerror($event)">
    <span>Drag and drop image</span>
  </ly-img-cropper>

  <div *ngIf="cropping.isLoaded">
    <button (click)="cropping.zoomIn()" ly-button appearance="icon"><ly-icon>zoom_in</ly-icon></button>
    <button (click)="cropping.zoomOut()" ly-button appearance="icon"><ly-icon>zoom_out</ly-icon></button>
    <button (click)="cropping.center()" ly-button appearance="icon"><ly-icon>filter_center_focus</ly-icon></button>
    <button (click)="cropping.rotate(-90)" ly-button appearance="icon"><ly-icon>rotate_90_degrees_ccw</ly-icon></button>
    <button (click)="cropping.fit()" ly-button>Fit</button>
    <button (click)="cropping.fitToScreen()" ly-button>Fit to screen</button>
    <button (click)="cropping.setScale(1)" ly-button>1:1</button>
    <button (click)="cropping.clean()" ly-button>Clean</button>
  </div>

  <ly-grid container alignItems="center" [spacingX]="16">
    <ly-grid item [col]="'12 12@XSmall'" style="text-align: left;">
      <ly-field fullWidth [appearance]="appearance">
        <input lyNativeControl type="text" autocomplete="off"
               id="newData" class="input" placeholder="Enter message" (keyup)="onKey($event)">
        <ly-label>Message</ly-label>
        <ly-hint></ly-hint>
        <ly-error></ly-error>
      </ly-field>
    </ly-grid>
  </ly-grid>

</div>
<div mat-dialog-actions style="justify-content: flex-end">
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Send</button>
</div>
